/**
 * Pyx4me framework
 * Copyright (C) 2006-2008 pyx4j.com.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 * 
 * @author vlads
 * @version $Id: AntPropertyHelper.java 2066 2008-06-21 23:16:18Z vlads $
 */
package com.pyx4me.maven.j2me;

import java.util.Iterator;
import java.util.Map;

import org.apache.maven.plugin.logging.Log;
import org.apache.maven.project.MavenProject;
import org.apache.tools.ant.PropertyHelper;

public class AntPropertyHelper extends PropertyHelper {

	private Log log;

	private MavenProject mavenProject;

	AntPropertyHelper(MavenProject mavenProject, Log log) {
		this.mavenProject = mavenProject;
		this.log = log;
		if (log.isDebugEnabled()) {
			for (Iterator i = this.mavenProject.getProperties().entrySet().iterator(); i.hasNext();) {
				Map.Entry entry = (Map.Entry) i.next();
				this.log.debug("MavenProject property " + entry.getKey() + "=" + entry.getValue());
			}
		}
	}

	public Object getPropertyHook(String ns, String name, boolean user) {
		Object val = this.mavenProject.getProperties().getProperty(name);
		if (val != null) {
			return val;
		}
		return super.getPropertyHook(ns, name, user);
	}
}
